export const getTheme = ({ theme, themeHover, themeColor, themeColorHover, themeActive, themeColorActive, themeBorder, themeBorderHover, themeBorderStyle = 'solid', themeBorderRadius, disabled, padding = 0, margin = 0, marginBottom = 0, alignItems, justifyContent, shadow }) => {
    return {
        [`theme-bg-${theme}-bg`]: !!theme,
        [`theme-bg-${themeHover}-hover`]: !!themeHover,
        [`theme-bg-${themeActive}-active`]: !!themeActive,
        [`theme-color-${themeColor || theme}-bgcolor`]: !!themeColor || !!theme,
        [`theme-color-${themeColorHover}-hover-light`]: !!themeColorHover,
        [`theme-color-${themeColorActive}-active`]: !!themeColorActive,
        [`theme-border-${themeBorder}-light`]: !!themeBorder,
        [`theme-border-${themeBorderHover}-hover-light`]: !!themeBorderHover,
        [`border-style`]: themeBorder && themeBorderStyle ? themeBorderStyle : undefined,
        'border-radius': themeBorderRadius,
        'disabled': disabled,
        [`spacer-p`]: padding,
        [`spacer-m`]: margin,
        [`spacer-mb`]: marginBottom,
        [`align-items`]: alignItems,
        [`justify-content`]: justifyContent,
        [`shadow`]: shadow
    };
};
